Skip to main content
GET
/
slices
/
{owner_name}
/
list
cURL
curl --request GET \
  --url https://api.avala.ai/api/v1/slices/{owner_name}/list/ \
  --header 'X-Avala-Api-Key: <api-key>'
{
  "count": 123,
  "results": [
    {
      "name": "<string>",
      "slug": "<string>",
      "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "owner_name": "<string>",
      "organization": {
        "name": "<string>",
        "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "slug": "<string>",
        "description": "<string>",
        "logo": "<string>",
        "website": "<string>"
      },
      "visibility": "public",
      "sub_slices": [
        {
          "type": "dataset_items",
          "dataset_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "dataset_item_uids": [
            "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          ],
          "filters": {}
        }
      ],
      "source_data": {},
      "status": "pending",
      "featured_slice_item_urls": [
        "<string>"
      ],
      "item_count": 123
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

owner_name
string
required

Query Parameters

ordering
string

Which field to use when ordering the results.

page
integer

A page number within the paginated result set.

limit
integer

Number of results to return per page.

order
string

Sets the CursorPagination offset when cursor is also set. e.g. cursor=...&offset=1

reverse
integer

Sets the CursorPagination reverse when cursor is also set. e.g. cursor=...&reverse=1.

Response

200 - application/json
count
integer
required
results
object[]
required
next
string<uri> | null
previous
string<uri> | null